---
title: getCharacteristics()
slug: Web/API/BluetoothRemoteGATTService/getCharacteristics
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTService
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - getCharacteristics()
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothGATTService.getCharacteristics()</code></strong> method returns a {{jsxref("Promise")}} to a list of {{domxref("BluetoothGATTCharacteristic")}} instances for a given universally unique identifier (UUID). </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">bluetoothGATTServiceInstance.getCharacteristics(characteristics).then(function(BluetoothGATTCharacteristic[]) { ... } )</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} to an {{jsxref("Array")}} of {{domxref("BluetoothGATTCharacteristic")}} instances.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>characteristic</dt>
 <dd>The UUID of a characteristic, for example <code>'00002a37-0000-1000-8000-00805f9b34fb'</code> for the Heart Rate Measurement characteristic.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattservice-getcharacteristics", "getCharacteristics()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTService.getCharacteristics")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
